[Cubicweb] installing cubicweb from pypi

Michael Connors connorsml at gmail.com
Wed Feb 24 21:53:53 CET 2010


Hi Everyone,

I am new to cubic web. I was wondering if using setuptools to install
cubicweb is not supported. I attempted to install the framework via
easy_install under Ubuntu and I discovered that dependencies such as yams
and logilab.common are not specified in the setup.py files. When I consulted
the documentation I found nothing about easy_install. I think I have
everything now except cubicweb-dev which I did not manage to find in pypi
yet.

Also discovered this small bug which I think may have been triggered because
I tried to create a cube (cubicweb-ctl newcube test) without cubicweb-dev
installed.
Line 331 in cwconfig.py should be:

cls.error('unexistant directory in cubes search path: %s'

Sorry if the mailing list is the wrong place for this, I cannot (or cannot
see how to) create a ticket in Cubicweb's Forge.

Regards,
-- 
Michael Connors
Leiden 2313 HZ,
The Netherlands
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.cubicweb.org/pipermail/cubicweb/attachments/20100224/7c77ecae/attachment-0001.html>


More information about the Cubicweb mailing list